Subject: Re: B20.1: expect: spawn -open doesn't work
From: Brian Petry <[email-masked]>
To: [email-masked] (Dr. Volker Zell)
Cc: [email-masked]
Date: Thu, 22 Jul 1999 15:40:06 -0700 (PDT)

Volker,

I tried your suggestion (I think), but I still get the same failure.  Here's
what I did (I'm a cygwin newbie):

I obtained sources from the "latest" section (I assume that's B20.1).

I configured with a new install directory (to make sure I wouldn't use
libraries from my binary distribution):

configure --prefix=/testinstall -v

I changed tcl/win/Makefile:
#TCL_DEFINES = -D__WIN32__ $(DEBUGDEFINES)
TCL_DEFINES = $(DEBUGDEFINES)

I compiled tcl and installed it in the new install directory.

I put my new install/bin directory first in the PATH env var (to make sure
I wouldn't load the dll from my binary distribution).

I compiled expect.  I verified that the -L options pointed to the right place.

I changed the TCL_LIBRARY env var to point to the new install directory.

I ran the newly compiled expect.

I got:

expect1.1> spawn -open [open /dev/com1]
spawn [open ...]
fdopen: bad file number
	 while executing
"spawn -open [open /dev/com1]"

What did I do wrong?

-Brian

> 
> >>>>> "Brian" == Brian Petry <[email-masked]> writes:
> 
>     Brian> Hello,
> 
>     Brian> It looks like "spawn -open" doesn't work.
> 
>     Brian> This can be easily recreated by running the spawn test
>     Brian> script in source distribution.
> 
>     Brian> The error text reported by expect (or tcl) is "bad file
>     Brian> number".
> 
>     Brian> I'm trying use something like "spawn -open [open
>     Brian> /dev/com1]".
> 
>     Brian> Does anyone have a patch for this problem?
> 
> I recompiled tcl from the Cygwin distribution as a X11 app by
> undefining __WIN32__
> 
> I get:
> 
> expect1.1> spawn -open [open /dev/com1]
> spawn [open ...]
> 0
> expect1.2> 
> 
> 
> Ciao
>   Volker
> 
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]